Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511997 - [abrt] pitivi: _ensureRestrictions(): project.py:1675:_ensureRestrictions:AttributeError: 'NoneType' object has no attribute 'list_is_type'
Summary: [abrt] pitivi: _ensureRestrictions(): project.py:1675:_ensureRestrictions:Att...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pitivi
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ed5db779a3c90ee6ef5206480eb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-10 15:34 UTC by Vango Stavro
Modified: 2018-05-29 11:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:40:00 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-10 15:34 UTC, Vango Stavro
no flags Details
File: cgroup (deleted)
2017-11-10 15:34 UTC, Vango Stavro
no flags Details
File: cpuinfo (deleted)
2017-11-10 15:34 UTC, Vango Stavro
no flags Details
File: environ (deleted)
2017-11-10 15:34 UTC, Vango Stavro
no flags Details
File: mountinfo (deleted)
2017-11-10 15:34 UTC, Vango Stavro
no flags Details
File: namespaces (deleted)
2017-11-10 15:34 UTC, Vango Stavro
no flags Details
File: open_fds (deleted)
2017-11-10 15:34 UTC, Vango Stavro
no flags Details

Description Vango Stavro 2017-11-10 15:34:41 UTC
Version-Release number of selected component:
pitivi-0.99-1.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        python3 /usr/bin/pitivi
crash_function: _ensureRestrictions
exception_type: AttributeError
executable:     /usr/bin/pitivi
kernel:         4.13.11-200.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
project.py:1675:_ensureRestrictions:AttributeError: 'NoneType' object has no attribute 'list_is_type'

Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/pitivi/render.py", line 467, in _encoding_profile_selected_cb
    self._set_encoding_profile(encoding_profile)
  File "/usr/lib64/python3.6/site-packages/pitivi/render.py", line 481, in _set_encoding_profile
    self.project.set_container_profile(encoding_profile)
  File "/usr/lib64/python3.6/site-packages/pitivi/project.py", line 1285, in set_container_profile
    self._ensureAudioRestrictions(profile)
  File "/usr/lib64/python3.6/site-packages/pitivi/project.py", line 1736, in _ensureAudioRestrictions
    prev_vals)
  File "/usr/lib64/python3.6/site-packages/pitivi/project.py", line 1675, in _ensureRestrictions
    if element.get_factory().list_is_type(facttype):
AttributeError: 'NoneType' object has no attribute 'list_is_type'

Local variables in innermost frame:
element: <__gi__.GstStreamSplitter object at 0x7efc67eec240 (GstStreamSplitter at 0x55cc2ff1b450)>
ebin: <__gi__.GstEncodeBin object at 0x7efc67ee5288 (GstEncodeBin at 0x7efc300b1b10)>
facttype: 1125899906842626
encoder: None
prev_vals: <Gst.Caps object at 0x7efc67edddc8 (GstCaps at 0x55cc313a6ed0)>
ref_restrictions: <Gst.Caps object at 0x7efc67edde28 (GstCaps at 0x7efbdc007320)>
defaults: {'channels': <Gst.IntRange [1,2147483647,1]>, 'rate': <Gst.IntRange [8000,2147483647,1]>}
profile: <GstPbutils.EncodingAudioProfile object at 0x7efc67ee5900 (GstEncodingAudioProfile at 0x55cc320abea0)>
self: <project.Project object at 0x7efc70fa5630 (pitivi+project+Project at 0x55cc30df1640)>

Comment 1 Vango Stavro 2017-11-10 15:34:47 UTC
Created attachment 1350562 [details]
File: backtrace

Comment 2 Vango Stavro 2017-11-10 15:34:48 UTC
Created attachment 1350563 [details]
File: cgroup

Comment 3 Vango Stavro 2017-11-10 15:34:50 UTC
Created attachment 1350564 [details]
File: cpuinfo

Comment 4 Vango Stavro 2017-11-10 15:34:51 UTC
Created attachment 1350565 [details]
File: environ

Comment 5 Vango Stavro 2017-11-10 15:34:53 UTC
Created attachment 1350566 [details]
File: mountinfo

Comment 6 Vango Stavro 2017-11-10 15:34:54 UTC
Created attachment 1350567 [details]
File: namespaces

Comment 7 Vango Stavro 2017-11-10 15:34:56 UTC
Created attachment 1350568 [details]
File: open_fds

Comment 8 Fedora End Of Life 2018-05-03 08:13:29 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2018-05-29 11:40:00 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.